#!/bin/sh
set -eu

# configuration
repodir="$HOME"
default_owner="Anders Damsgaard"
giturl="git://src.adamsgaard.dk"
altgiturl="https://src.adamsgaard.dk"

[ $# -lt 1 ] && (echo "usage: $0 repo_name" && exit 1)

curdir="$(pwd)"
cd "$repodir"
for r in "$@"; do
	git init --bare "$r"
	printf 'description for %s: ' "$r"
	read
	echo "$REPLY" > "$r"/description
	printf "owner [$default_owner]: "
	read
	echo "${REPLY:-$default_owner}" > "$r"/owner
	ln -sf ../../post-receive.sh "$r"/hooks/post-receive
	cd "/var/www/domains/src.adamsgaard.dk"
	git clone --bare "$r" "${r}.git"
	git update-server-info
	echo "${giturl}/${r}" > "$r"/url
	echo "${altgiturl}/${r}.git" > "$r"/alturl
	touch "$r"/git-daemon-export-ok
done

cd "$curdir"
